complexType "PeriodicPayment"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentFrequency?, (fixedAmount? | fixedAmountCalculation)
</...>

Content Model Elements (3):

  fixedAmount (in periodicPayment), fixedAmountCalculation, | paymentFrequency (in periodicPayment)

All Direct / Indirect Based Elements (1):

  periodicPayment

Known Usage Locations

- As direct type of elements (1):
  periodicPayment

Type Definition Detail

Type Derivation Tree PaymentBase (extension) PeriodicPayment

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PeriodicPayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/> <!--View Generation: SKIPPED firstPeriodStartDate - Standardized--> <!--View Generation: SKIPPED firstPaymentDate - Standardized--> <!--View Generation: SKIPPED lastRegularPaymentDate - Standardized--> <!--View Generation: SKIPPED rollConvention - Standardized--> <xsd:choice> <xsd:element minOccurs="0" name="fixedAmount" type="Money"/> <xsd:element name="fixedAmountCalculation" type="FixedAmountCalculation"/> </xsd:choice> <!--View Generation: SKIPPED adjustedPaymentDates - DateAdjustments--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
fixedAmount

  Type: | Money, complex content

  A fixed payment amount. ISDA 2003 Term: Fixed Amount
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedAmount" type="Money"/>

fixedAmountCalculation

  Type: | FixedAmountCalculation, complex content

  This element contains all the terms relevant to calculating a fixed amount where the fixed amount is calculated by reference to a per annum fixed rate. There is no corresponding ISDA 2003 Term. The equivalent is Sec 5.1 "Calculation of Fixed Amount" but this in itself is not a defined Term.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedAmountCalculation" type="FixedAmountCalculation"/>

paymentFrequency

  Type: | Period, complex content

  The time interval between regular fixed rate payer payment dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.